<?php
function make_time($date){
		if(!isset($date)){
		return;
		}
	$f_date=explode("-", $date);
	$time=mktime(0, 0, 0, $f_date[1], $f_date[2], $f_date[0]);
	return $time;
}
$ks_year=$_SESSION['budget_year']-543;  //ปีงบประมาณ คศ.นี้ 
$past_ks_year=$_SESSION['budget_year']-543-1;  //ปี คศ. ก่อนหน้า
$start_year="$past_ks_year"."-"."10"."-"."1";   //วันเดือนปี เริ่มปีงบประมาณ
$stop_year="$ks_year"."-"."9"."-"."30";  //วันเดือนปีสิ้นสุดปีงบประมาณ
$start_edyear="$ks_year"."-"."5"."-"."1";   //วันเดือนปี เริ่มปีการศึกษา  1 พ.ค.

$over_index=0;
//ตรวจสอบวันเริ่มต้นโครงการ
if(make_time($mybeginday)<make_time($start_year)){
	?>
		<script>
				alert("วันเริ่มต้นโครงการอยู่นอกกรอบปีงบประมาณ");
		</script>
	<?php
$over_index=1;
}

//ตรวจสอบวันสิ้นสุดโครงการ
if(make_time($myfinishday)>make_time($stop_year)){
	?>
		<script>
				alert("วันสิ้นสุดโครงการอยู่นอกกรอบปีงบประมาณ");
		</script>
	<?php
$over_index=1;
}

//ตรวจสอบโครงการคร่อมปีการศึกษาหรือไม่
if(make_time($mybeginday)<make_time($start_edyear)){
$cut_year1=1;
}
if(make_time($mybeginday)>=make_time($start_edyear)){
$cut_year1=2;
}
if(make_time($myfinishday)<make_time($start_edyear)){
$cut_year2=1;
}
if(make_time($myfinishday)>=make_time($start_edyear)){
$cut_year2=2;
}
if(($cut_year2-$cut_year1)!=0){
	?>
		<script>
				alert("ระยะเวลาของโครงการคร่อมปีการศึกษา อาจขาดประสิทธิภาพในการรายงานแบบปีการศึกษา");
		</script>
	<?php
}

$data2 = ( $_POST );
include("plan_authen.php");
require_once("dbconfig.inc.php");

//ตรวจการซ้ำของรหัสโครงการ
$sql = "SELECT *  FROM  plan_proj  where budget_year='$_SESSION[budget_year]' and  code_proj = '$vcode_proj' and id!='$_POST[plan_proj_id]' ";
$result0 =DBfieldQuery($sql);
$fetyear = mysqli_fetch_array($result0);
$num=mysqli_num_rows($result0);

if ($num==0 and $over_index==0){
$sql =  "update plan_proj  set  code_clus='$vcode_clus',code_tegy='$vcode_tegy', code_proj='$vcode_proj', budget_proj= '$vbudget_proj_2',name_proj = '$vname_proj' ,owner_proj ='$vowner_proj' ,begin_date='$mybeginday',finish_date='$myfinishday' where id='$_POST[plan_proj_id]' " ;
$dbquery  =  DBfieldQuery($sql);
}

if($num!=0){
		?>
			<script>
					alert(" รหัสโครงการซ้ำ โปรดตรวจสอบ");
			</script>
		<?php
}
?>

<script>
		document.location.href="?option=plan&task=planproject/plan_in_proj"; // page ย้อนกลับ 
</script>